namespace KillHostFromWorker;

public class Worker : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        int count = 0;
        while (!stoppingToken.IsCancellationRequested)
        {
            Console.WriteLine($"Worker: count = {++count} ");
            try 
            {
                await Task.Delay(1000, stoppingToken);
            }
            catch (TaskCanceledException)
            {
                Console.WriteLine("Worker: Task was cancelled during Task.Delay");
            }
        }
        Console.WriteLine("Worker: Exiting");
    }
}
